#pragma once

#include <QString>

struct Card {
    QString name;
    QString description;
    double amount;

    [[nodiscard]] QString toString() const {
        return QString("Number: %1 | Type: %2 | Amount: %3")
                .arg(name, description, QString::number(amount, 'f', 2));
    }
};
